Apache 2.4 で confiugre 実行時に「configure: error: pcre-config for libpcre not found」と怒られる

現象

# /usr/local/src/httpd-2.4.2
# ./configure --prefix=/usr/local/apache2
...
configure: error: pcre-config for libpcre not found. PCRE is required and available from http://pcre.org/

解決策

# cd /usr/local/src
# tar xvzf pcre-8.31.tar.gz
# cd pcre-8.31
# ./configure
# make
# make install
  • Apache 2.4 の configure を実行する
# /usr/local/src/httpd-2.4.2
# ./configure --prefix=/usr/local/apache2